Summary:	XML-RPC EPI library - an implementation of the xmlrpc protocol
Summary(pl.UTF-8):	Biblioteka XML-RPC EPI - implementacja protokołu xmlrpc
Name:		xmlrpc-epi
Version:	0.54.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/xmlrpc-epi/%{name}-%{version}.tar.bz2
# Source0-md5:	081e605491429cda17c5f021f211b8fd
Patch0:		format-security.patch
URL:		http://xmlrpc-epi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It
provides an easy to use API for developers to serialize RPC requests
to and from XML. It doesn't include a transport layer, such as HTTP.
The API is primarily based upon proprietary code written for internal
usage at Epinions.com, and was later modified to incorporate concepts
from the xmlrpc protocol. It passed the xmlrpc validation test suite
in December 2000.

%description -l pl.UTF-8
xmlrpc-epi to implementacja protokołu xmlrpc napisana w C. Daje proste
w użyciu API dla programistów do serializacji żądań RPC do i z XML-a.
Nie zawiera warstwy transportowej typu HTTP. API bazuje głównie na
własnościowym kodzie napisanym do użytku wewnętrznego na Epinions.com
i zostało później zmodyfikowane, aby włączyć idee protokołu xmlrpc.
API to przeszło test sprawdzający poprawność implementacji w grudniu
2000.

%package devel
Summary:	Header files etc to develop XML-RPC applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji XML-RPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel

%description devel
Header files etc needed to develop XML-RPC applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia aplikacji używających XML-RPC.

%package static
Summary:	Static XML-RPC EPI libraries
Summary(pl.UTF-8):	Biblioteki statyczne XML-RPC EPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XML-RPC EPI libraries.

%description static -l pl.UTF-8
Biblioteki statyczne XML-RPC EPI.

%package progs
Summary:	XML-RPC sample programs
Summary(pl.UTF-8):	Programy przykładowe XML-RPC
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description progs
Sample programs for XML-RPC EPI library.

%description progs -l pl.UTF-8
Programy przykładowe do biblioteki XML-RPC EPI.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--includedir=%{_includedir}/xmlrpc-epi \
	--program-prefix=xmlrpc-epi-
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxmlrpc-epi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxmlrpc-epi.so.0

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxmlrpc-epi.so
%{_libdir}/libxmlrpc-epi.la
%{_includedir}/xmlrpc-epi

%files static
%defattr(644,root,root,755)
%{_libdir}/libxmlrpc-epi.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlrpc-epi-*
%changelog
* Wed Dec 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmlrpc-epi.git;a=log;h=master

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 68c8057
- updated to 0.54.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d400ba2
- x32 rebuild
- release 6 (by relup.sh)

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> 89c3463
- use fputs(outBuf, stdout) to avoid second newline
- rel 5

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> c1533a7
- fix building with -Wformat-security
- rel 4

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> ae9e17a
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Sun May 22 2011 lisu <lisu@pld-linux.org> dea5ef7
- rel 2

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> f3f70d4
- explicit lib name in files

* Thu Sep 03 2009 tommat <tommat@pld-linux.org> e8856a9
- rel 1

* Thu Sep 03 2009 tommat <tommat@pld-linux.org> 6e822bf
- up to 0.54.1
- removed obsolete patches
- adapterized
- ghost soname symlink

* Tue Mar 06 2007 spider <spider@pld-linux.org> 5125fab
- rel++
- STBR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 18b0bc2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ea71d38
- converted to UTF-8

* Tue May 03 2005 Mariusz Mazur <mmazur@pld-linux.org> 448252b
- rel 3; builds with gcc4

* Tue May 03 2005 Mariusz Mazur <mmazur@pld-linux.org> 2ac6841
- guess what this patch does

* Sun Dec 26 2004 Jakub Bogusz <qboosh@pld-linux.org> e3ac802
- strict internal deps, -devel R: expat-devel

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> a8d9616
- spaces->tabs

* Sat Sep 25 2004 radek <radek@pld-linux.org> 2abef02
- cosmetics (spaces -> tabs)

* Tue Feb 24 2004 ankry <ankry@pld-linux.org> c7501a2
- pl fixes, cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 38332da
- mass commit: cosmetics (removed trailing white spaces)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> ba3ae5d
- massive attack, adding Source-md5

